Skip to content
Docs
Credentials

Delete

Delete

client.organizations.serviceAccounts.credentials.delete(stringcredentialID, CredentialDeleteParams { organization_id, service_account_id, xClientRequestID } params, RequestOptionsoptions?): void
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}

Delete a service account credential

ParametersExpand Collapse
credentialID: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params: CredentialDeleteParams { organization_id, service_account_id, xClientRequestID }
organization_id: string

Path param: Organization ID or label identifier

minLength1
maxLength255
service_account_id: string

Path param: Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
xClientRequestID?: string

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid

Delete

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI();

await client.organizations.serviceAccounts.credentials.delete('ab3def8hij2klm9opq5rst7uvw', {
  organization_id: 'x',
  service_account_id: 'ab3def8hij2klm9opq5rst7uvw',
});
Returns Examples